import { jsx } from "react/jsx-runtime";
import { TokenWISE as TokenWISE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWISE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WISE", "data-name": "TokenWISE", ...props, children: /* @__PURE__ */ jsx(TokenWISE$1, { variant }) });
  }
);
TokenWISE.displayName = "TokenWISE";
Object.assign(TokenWISE, { isGdsIcon: true });
export {
  TokenWISE
};
